/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import junit.framework.TestCase;


/**
 * <p>
 * Unit test for custom exception.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class BreadCrumbExceptionTest extends TestCase {
    /** Represents a detail error message. */
    private static final String DETAIL_MESSAGE = "detail";

    /** Represents an original cause of error. */
    private static final Exception CAUSE = new Exception();

    /**
     * <p>
     * Test accuracy of constructor <code>BreadCrumbException(String)</code>.
     * </p>
     */
    public void testBreadCrumbExceptionStringAccuracy() {
        BreadCrumbException exception = new BreadCrumbException(DETAIL_MESSAGE);

        assertEquals("Detailed error message should be same", DETAIL_MESSAGE, exception.getMessage());
    }

    /**
     * <p>
     * Test accuracy of constructor <code>BreadCrumbException(String, Throwable)</code>.
     * </p>
     */
    public void testBreadCrumbExceptionStringThrowableAccuracy() {
        BreadCrumbException exception = new BreadCrumbException(DETAIL_MESSAGE, CAUSE);

        assertNotNull("Should not null.", exception.getMessage());

        //assertEquals("Cause should be identical", CAUSE, exception.getCause());
    }
}
